apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe, Jr." <wr...@rowe-clan.net>
Subject Re: dbd pgsql autotools patch
Date Mon, 19 May 2008 21:22:18 GMT
Bojan Smojver wrote:
> On Mon, 2008-05-19 at 16:07 -0400, Bob Rossi wrote:
> 
>> You know, I really think you should be using the --libs there. What
>> could the downside be? It's not like you need to add all the --libs to
>> the apr libs. It's just setup temporarily to get the -lpq to link. 
> 
> This returns libraries that were used to build PostgreSQL, not the ones
> that are required to link to -lpq. So, I'm just worried that it is
> inaccurate.

Well I'd rather it include more libraries than needed (which are not bound
on more sophisticated linkers) than an insufficient number.  Second guessing
the particular dependencies per platform is bound to leave us with a max of
10 or so supported platforms, whereas pg_config is more reliable.

If you are unhappy with its --libs flags, I really think that's something to
take up with the maintainers, eh?

Mime
View raw message